SparrowDesk
Articles

Retrieve an article

GET
/articles/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Article id

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/articles/0"
{
  "data": {
    "id": 1001,
    "title": "Getting started with SparrowDesk",
    "slug": "getting-started-with-sparrowdesk",
    "status": "PUBLISHED",
    "draft_html_content": "<p>Work in progress…</p>",
    "published_html_content": "<p>Welcome to <strong>SparrowDesk</strong>.</p>",
    "is_public": true,
    "is_archived": false,
    "help_center": {
      "id": 994,
      "name": "Support"
    },
    "collection": {
      "id": 1021,
      "name": "Basics"
    },
    "brand": {
      "id": 1,
      "name": "Acme"
    },
    "created_by": {
      "id": 5,
      "name": "Jane Doe",
      "email": "[email protected]"
    },
    "last_updated_by": {
      "id": 6,
      "name": "John Roe",
      "email": "[email protected]"
    },
    "published_at": 1717236000,
    "created_at": 1714557600,
    "updated_at": 1717236000
  }
}
{
  "error": {
    "message": "Missing required scope or feature is not enabled"
  }
}
{
  "error": {
    "message": "Article not found"
  }
}
{
  "error": {
    "message": "Invalid article id"
  }
}
{
  "error": {
    "message": "An error occurred while retrieving the article"
  }
}